## Struct template basic_sink_backend

boost::log::sinks::basic_sink_backend — Base class for a logging sink backend.

## Synopsis

    // In header: <boost/log/sinks/basic_sink_backend.hpp>

    template<typename FrontendRequirementsT>
    struct basic_sink_backend {
      // types
      typedef FrontendRequirementsT frontend_requirements;  // Frontend requirements tag.

      // construct/copy/destruct
      basic_sink_backend(basic_sink_backend const &) = delete;
      basic_sink_backend & operator=(basic_sink_backend const &) = delete;
    };

## Description

The `basic_sink_backend` class template defines a number of types that all sink backends are required to define. All sink backends have to derive from the class.

### `basic_sink_backend` public construct/copy/destruct

1.     basic_sink_backend(basic_sink_backend const &) = delete;

2.     basic_sink_backend & operator=(basic_sink_backend const &) = delete;